Assign vendor
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"dateDue": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor"
payload = { "dateDue": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({dateDue: '2023-11-07T05:31:56Z'})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dateDue' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor"
payload := strings.NewReader("{\n \"dateDue\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"dateDue\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dateDue\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_bodyProject
Assign vendor
To unassign Vendor from Project, use empty body:
{}
Only one change of the vendor of a project can run at a time. While another change of the same project is in progress, for example one started from the project page or a previous request that is still running, the request is rejected with 409 Conflict and nothing is changed. Try again after the first change finishes.
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
assignVendor
Assign vendor
curl --request POST \
--url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"dateDue": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor"
payload = { "dateDue": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({dateDue: '2023-11-07T05:31:56Z'})
};
fetch('https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'dateDue' => '2023-11-07T05:31:56Z'
]),
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor"
payload := strings.NewReader("{\n \"dateDue\": \"2023-11-07T05:31:56Z\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor")
.header("Authorization", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"dateDue\": \"2023-11-07T05:31:56Z\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/assignVendor")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"dateDue\": \"2023-11-07T05:31:56Z\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
UID of the project
Body
application/json
Vendor assignment; use empty body to unassign
Response
No Content
Was this page helpful?